﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win.Misc;
using Infragistics.Win.UltraWinForm;
using Infragistics.Win.UltraWinTabControl;
using Infragistics.Win.UltraWinToolbars;

namespace Mips.Win.SupportDialogs.RibbonCustomizationProvider
{
    public partial class RibbonCustomizationDialog : Form
    {
        private UltraFormDockArea _RibbonCustomizationDialog_UltraFormManager_Dock_Area_Bottom;
        private UltraFormDockArea _RibbonCustomizationDialog_UltraFormManager_Dock_Area_Left;
        private UltraFormDockArea _RibbonCustomizationDialog_UltraFormManager_Dock_Area_Right;
        private UltraFormDockArea _RibbonCustomizationDialog_UltraFormManager_Dock_Area_Top;
        private bool allowQATCustomization;
        private bool allowRibbonCustomization;
        private UltraButton btnCancel;
        private UltraButton btnOK;
        private SerializationFormat defaultSerializationFormat;
        private UltraFormManager formManager;
        private UltraGroupBox gbBackground;
        private IRibbonCustomizationProvider provider;
        internal const string QAT_TAB_KEY = "QAT";
        private QATCustomizationControl qatCustomizationControl1;
        internal const string RIBBON_TAB_KEY = "Ribbon";
        private RibbonCustomizationControl ribbonCustomizationControl1;
        private bool showApplicationMenuCommands;
        private StockItemModificationOption stockItemModificationOptions;
        private UltraTabControl tabControl;
        private UltraToolbarsManager toolbarsManager;
        private UltraTabPageControl ultraTabPageControl1;
        private UltraTabPageControl ultraTabPageControl2;
        private UltraTabSharedControlsPage ultraTabSharedControlsPage1;
        
        public RibbonCustomizationDialog()
        {
            InitializeComponent();
        }

        public RibbonCustomizationDialog(UltraToolbarsManager manager, IRibbonCustomizationProvider provider, SerializationFormat serializationFormat)
            : this()
        {
            if (manager == null)
            {
                throw new ArgumentNullException("manager");
            }
            this.toolbarsManager = manager;
            this.defaultSerializationFormat = serializationFormat;
            this.provider = provider;
            this.Initialize();
            if (provider != null)
            {
                this.allowRibbonCustomization = provider.AllowRibbonCustomizationResolved;
                this.allowQATCustomization = provider.AllowQATCustomizationResolved && manager.Ribbon.QuickAccessToolbar.Visible;
            }
        }

        private void Initialize()
        {
            this.tabControl.Tabs[0].Key = "Ribbon";
            this.tabControl.Tabs[1].Key = "QAT";
            /*this.ribbonCustomizationControl1.DefaultSerializationFormat = this.defaultSerializationFormat;
            this.qatCustomizationControl1.DefaultSerializationFormat = this.defaultSerializationFormat;*/
            /*this.ribbonCustomizationControl1.RibbonCustomizationProvider = this.provider;
            this.qatCustomizationControl1.RibbonCustomizationProvider = this.provider;*/
            /*this.ribbonCustomizationControl1.ToolbarsManager = this.ToolbarsManager;
            this.qatCustomizationControl1.ToolbarsManager = this.ToolbarsManager;*/
            this.InitializeStrings();
        }

        private void InitializeStrings()
        {
            /*this.Text = Infragistics.Shared.SR.GetString("RibbonCustomizationDialog_Title");
            this.btnOK.Text = Infragistics.Shared.SR.GetString("Button_OK");
            this.btnCancel.Text = Infragistics.Shared.SR.GetString("Button_Cancel");
            this.TabControl.Tabs["Ribbon"].Text = Infragistics.Shared.SR.GetString("RibbonCustomizationDialog_TabRibbon_Text");
            this.TabControl.Tabs["QAT"].Text = Infragistics.Shared.SR.GetString("RibbonCustomizationDialog_TabQAT_Text");*/
        }
    }
}
